UNIHEX2BMP(1)

NAME
unihex2bmp - GNU Unifont .hex file to bitmap graphics file converter

SYNOPSIS
unihex2bmp [-phexpage] [-iinput_file.hex] [-ooutput_file.bmp] [-f] [-w]

DESCRIPTION
unihex2bmp reads a GNU Unifont .hex file Unicode page of 256 code points and converts the page into a Microsoft Windows Bitmap (.bmp) or Wireless Bitmap (.wbmp) file. The bitmap file displays the glyphs of a Unicode block of 256 code points in a 32 by 32 pixel grid. The glyphs themselves must be 16 rows high, and 8, 16, 24, or 31 (encoded as 32) columns wide. The default page is 0; that is, the range U+0000 through U+00FF.

The bitmap can be printed. It can also be edited with a bitmap editor. An edited bitmap can then be re-converted into a GNU Unifont .hex file with the unibmp2hex command.

OPTIONS

-p  Extract page hexpage from the .hex file. The default is Page 0 (Unicode range U+0000 through U+00FF). Note that "page" is not a standard Unicode term. It refers to an output bitmap graphics page of 16 by 16 code points.

-i  Specify the input file. The default is STDIN.

-o  Specify the output file. The default is STDOUT.

-f  "Flip" (transpose) the grid, swapping rows and columns from the Unicode standard orientation.

-w  Produce a Wireless Bitmap format file instead of a Microsoft Windows Bitmap file.

EXAMPLE
Sample usage:

    unihex2bmp -imy_input_file.hex -omy_output_file.bmp

FILES
*.hex GNU Unifont font files

SEE ALSO
bdfimplode(1), hex2bdf(1), hex2otf(1), hex2sfd(1), hexbraille(1), hexdraw(1), hexkinya(1), hexmerge(1), johab2ucs2(1), unibdf2hex(1), unibmp2hex(1), unibmpbump(1), unicoverage(1), unidup(1), unifont(5), unifont-viewer(1), unifont1per(1), unifontchojung(1), unifontksx(1), unifontpic(1), unigencircles(1), unigenwidth(1), unihex2png(1), unihexfill(1), unihexgen(1), unihexrotate(1), unipagecount(1), unipng2hex(1)

AUTHOR
unihex2bmp was written by Paul Hardy.

LICENSE
unihex2bmp is Copyright © 2007 Paul Hardy.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

BUGS
No known real bugs exist, except that this software does not perform extensive error checking on its input files. If they're not in the format of the original GNU Unifont .hex file, all bets are off. Lines can be terminated either with line feed, or carriage return plus line feed.